View Issue Details

IDProjectCategoryView StatusLast Update
0002805Far ManagerPlugins API.Editorpublic2014-10-27 22:44
ReporterJohnDoeAssigned Tozg 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002805: Переполнение стека при вызове перерисовки в EE_GOTFOCUS
DescriptionВызов перерисовки в редакторе из EE_GOTFOCUS после изменения текста теперь приводит к вызыву того же EE_GOTFOCUS

Far 3.0.4098 (3.0.4096 работает нормально)
Steps To ReproduceEvent {
  group="EditorEvent";
  action=function(ID, Event, Param)
    if Event==far.Flags.EE_GOTFOCUS then editor.Redraw(ID) end
  end
}
Additional Informationhttp://forum.farmanager.com/viewtopic.php?p=122851#p122851
TagsNo tags attached.
Build4159

Activities

max rusov

2014-09-29 21:37

reporter   bugnote:0013043

Любой вызов ECTL_REDRAW в плагине тоже приводит к получению EE_GOTFOCUS. Из-за этого, в частности, сломался мой плагин FastWheel...

JohnDoe

2014-10-27 10:40

updater   bugnote:0013162

В 4159 уже не воспроизводится

Issue History

Date Modified Username Field Change
2014-09-22 12:47 JohnDoe New Issue
2014-09-29 21:37 max rusov Note Added: 0013043
2014-10-27 10:40 JohnDoe Note Added: 0013162
2014-10-27 22:44 shmuel Build => 4159
2014-10-27 22:44 shmuel Status new => closed
2014-10-27 22:44 shmuel Assigned To => zg
2014-10-27 22:44 shmuel Resolution open => fixed
2014-10-27 22:44 shmuel Fixed in Version => 3.0